import './styles.sass';
import StatusItem from "@/pages/Status/components/StatusItem/index.js";

const mockStatus = [
    {service: "Sheepstar Global", shards: [{name: 1, status: "active"}, {name: 2, status: "active"}, {name: 3, status: "inactive"} ]},
    {service: "TicketBot", shards: [{name: 1, status: "active"}, {name: 2, status: "active"}, {name: 3, status: "inactive"}]},
    {service: "Kratos", shards: [{name: 1, status: "active"}, {name: 2, status: "active"}, {name: 3, status: "active"}, {name: 4, status: "active"}]}
]; // replace with api in future

const Status = () => (
    <div className="main-wrapper">
        {mockStatus.map(item => <StatusItem key={item.service} service={item.service} shards={item.shards}/>)}
    </div>
)

export default Status;